//
//  ESUnicodeData.h
//  UnicodeChecker
//
//  Created by Steffen Kamp on 19.05.06.
//  Copyright 2006 earthlingsoft. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface ESUnicodeData : NSObject {

}

- (UTF32Char)codepoint;
- (NSNumber *)codeValue;
- (NSString *)characterName;
- (NSString *)generalCategory;
- (NSNumber *)canonicalCombiningClass;
- (NSString *)bidirectionalCategory;
- (NSString *)characterDecompositionMapping;
- (NSArray *)characterDecompositionMappingArray;
- (NSString *)decimalDigitValue;
- (NSString *)digitValue;
- (NSString *)numericValue;
- (BOOL)mirrored;
- (NSString *)unicode1Name;
- (NSString *)commentField;
- (NSString *)uppercaseMapping;
- (NSString *)lowercaseMapping;
- (NSString *)titlecaseMapping;

- (BOOL)canonicalMapping;
- (BOOL)compatibilityMapping;

@end

@interface ESUnicodeData (DerivedTypes)

- (BOOL)isAssignedToAbstractCharacter;
- (BOOL)isAssignedCodePoint; // assigned == designated  in this context

@end
